Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.io.parser.gen
Interface TermParserConstants

All Known Implementing Classes:
  TermParser, TermParserTokenManager

    public interface TermParserConstants

Field Summary
`static int` | `ALPHA_CHAR`
`static int` | `ALPHA_NUMERIC_CHAR`
`static int` | `ANONYMOUS_VARIABLE`
`static int` | `BACK_QUOTE_CHAR`
`static int` | `BACK_QUOTED_CHAR`
`static int` | `BACK_QUOTED_ITEM`
`static int` | `BACK_QUOTED_STRING`
`static int` | `BACKSLASH_CHAR`
`static int` | `BINARY_CONSTANT`
`static int` | `BINARY_DIGIT_CHAR`
`static int` | `BRACKETED_COMMENT`
`static int` | `CAPITAL_LETTER_CHAR`
`static int` | `CHAR_CODE_LIST_TOKEN`
`static int` | `CHARACTER_CODE_CONSTANT`
`static int` | `CHARARCTER`
`static int` | `CLOSE_CHAR`
`static int` | `CLOSE_CURLY_CHAR`
`static int` | `CLOSE_CURLY_TOKEN`
`static int` | `CLOSE_LIST_CHAR`
`static int` | `CLOSE_LIST_TOKEN`
`static int` | `CLOSE_TOKEN`
`static int` | `COMMA_CHAR`
`static int` | `COMMA_TOKEN`
`static int` | `COMMENT`
`static int` | `CONTINUATION_ESCAPE_SEQUENCE`
`static int` | `CONTROL_ESCAPE_SEQUENCE`
`static int` | `CUT_CHAR`
`static int` | `CUT_TOKEN`
`static int` | `DECIMAL_DIGIT_CHAR`
`static int` | `DEFAULT`
`static int` | `DOUBLE_QUOTE_CHAR`
`static int` | `DOUBLE_QUOTED_CHAR`
`static int` | `DOUBLE_QUOTED_ITEM`
`static int` | `END_CHAR`
`static int` | `END_LINE_COMMENT_CHAR`
`static int` | `END_TOKEN`
`static int` | `EOF`
`static int` | `EXPONENT`
`static int` | `FLOAT_NUMBER_TOKEN`
`static int` | `FRACTION`
`static int` | `GRAPHIC_CHAR`
`static int` | `GRAPHIC_CHAR_PERIOD`
`static int` | `GRAPHIC_TOKEN`
`static int` | `GRAPHIC_TOKEN_CHAR`
`static int` | `HEAD_TAIL_SEPARATOR_CHAR`
`static int` | `HEAD_TAIL_SEPARATOR_TOKEN`
`static int` | `HEXADECIMAL_CONSTANT`
`static int` | `HEXADECIMAL_DIGIT_CHAR`
`static int` | `HEXADECIMAL_ESCAPE_SEQUENCE`
`static int` | `IDENTIFIER_TOKEN`
`static int` | `INTEGER_CONSTANT`
`static int` | `INTEGER_TOKEN`
`static int` | `LAYOUT_CHAR`
`static int` | `LAYOUT_TEXT`
`static int` | `LAYOUT_TEXT_SEQUENCE`
`static int` | `LETTER_CHAR`
`static int` | `META_CHAR`
`static int` | `META_ESCAPE_SEQUENCE`
`static int` | `NAME_TOKEN`
`static int` | `NAMED_VARIABLE`
`static int` | `NEW_LINE_CHAR`
`static int` | `NON_QUOTE_CHAR`
`static int` | `OCTAL_CONSTANT`
`static int` | `OCTAL_DIGIT_CHAR`
`static int` | `OCTAL_ESCAPE_SEQUENCE`
`static int` | `OPEN_CHAR`
`static int` | `OPEN_CURLY_CHAR`
`static int` | `OPEN_CURLY_TOKEN`
`static int` | `OPEN_LIST_CHAR`
`static int` | `OPEN_LIST_TOKEN`
`static int` | `OPEN_TOKEN`
`static int` | `QUOTED_TOKEN`
`static int` | `SEMICOLON_CHAR`
`static int` | `SEMICOLON_TOKEN`
`static int` | `SINGLE_LINE_COMMENT`
`static int` | `SINGLE_QUOTE_CHAR`
`static int` | `SINGLE_QUOTED_CHAR`
`static int` | `SINGLE_QUOTED_ITEM`
`static int` | `SMALL_LETTER_CHAR`
`static int` | `SOLO_CHAR`
`static int` | `SPACE_CHAR`
`static int` | `SYMBOLIC_ALERT_CHAR`
`static int` | `SYMBOLIC_BACKSPACE_CHAR`
`static int` | `SYMBOLIC_CARRIAGE_RETURN_CHAR`
`static int` | `SYMBOLIC_CONTROL_CHAR`
`static int` | `SYMBOLIC_FORM_FEED_CHAR`
`static int` | `SYMBOLIC_HEXADECIMAL_CHAR`
`static int` | `SYMBOLIC_HORIZONTAL_TAB_CHAR`
`static int` | `SYMBOLIC_NEW_LINE_CHAR`
`static int` | `SYMBOLIC_VERTICAL_TAB_CHAR`
`static String[]` | `tokenImage`
`static int` | `UNDERSCORE_CHAR`
`static int` | `VARIABLE_INDICATOR_CHAR`
`static int` | `VARIABLE_TOKEN`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### LAYOUT_TEXT_SEQUENCE

    static final int LAYOUT_TEXT_SEQUENCE

See Also:
  Constant Field Values

### LAYOUT_TEXT

    static final int LAYOUT_TEXT

See Also:
  Constant Field Values

### COMMENT

    static final int COMMENT

See Also:
  Constant Field Values

### SINGLE_LINE_COMMENT

    static final int SINGLE_LINE_COMMENT

See Also:
  Constant Field Values

### BRACKETED_COMMENT

    static final int BRACKETED_COMMENT

See Also:
  Constant Field Values

### NAME_TOKEN

    static final int NAME_TOKEN

See Also:
  Constant Field Values

### IDENTIFIER_TOKEN

    static final int IDENTIFIER_TOKEN

See Also:
  Constant Field Values

### GRAPHIC_TOKEN

    static final int GRAPHIC_TOKEN

See Also:
  Constant Field Values

### GRAPHIC_TOKEN_CHAR

    static final int GRAPHIC_TOKEN_CHAR

See Also:
  Constant Field Values

### QUOTED_TOKEN

    static final int QUOTED_TOKEN

See Also:
  Constant Field Values

### SINGLE_QUOTED_ITEM

    static final int SINGLE_QUOTED_ITEM

See Also:
  Constant Field Values

### CONTINUATION_ESCAPE_SEQUENCE

    static final int CONTINUATION_ESCAPE_SEQUENCE

See Also:
  Constant Field Values

### SEMICOLON_TOKEN

    static final int SEMICOLON_TOKEN

See Also:
  Constant Field Values

### CUT_TOKEN

    static final int CUT_TOKEN

See Also:
  Constant Field Values

### SINGLE_QUOTED_CHAR

    static final int SINGLE_QUOTED_CHAR

See Also:
  Constant Field Values

### DOUBLE_QUOTED_CHAR

    static final int DOUBLE_QUOTED_CHAR

See Also:
  Constant Field Values

### BACK_QUOTED_CHAR

    static final int BACK_QUOTED_CHAR

See Also:
  Constant Field Values

### NON_QUOTE_CHAR

    static final int NON_QUOTE_CHAR

See Also:
  Constant Field Values

### META_ESCAPE_SEQUENCE

    static final int META_ESCAPE_SEQUENCE

See Also:
  Constant Field Values

### CONTROL_ESCAPE_SEQUENCE

    static final int CONTROL_ESCAPE_SEQUENCE

See Also:
  Constant Field Values

### SYMBOLIC_CONTROL_CHAR

    static final int SYMBOLIC_CONTROL_CHAR

See Also:
  Constant Field Values

### SYMBOLIC_ALERT_CHAR

    static final int SYMBOLIC_ALERT_CHAR

See Also:
  Constant Field Values

### SYMBOLIC_BACKSPACE_CHAR

    static final int SYMBOLIC_BACKSPACE_CHAR

See Also:
  Constant Field Values

### SYMBOLIC_FORM_FEED_CHAR

    static final int SYMBOLIC_FORM_FEED_CHAR

See Also:
  Constant Field Values

### SYMBOLIC_NEW_LINE_CHAR

    static final int SYMBOLIC_NEW_LINE_CHAR

See Also:
  Constant Field Values

### SYMBOLIC_HORIZONTAL_TAB_CHAR

    static final int SYMBOLIC_HORIZONTAL_TAB_CHAR

See Also:
  Constant Field Values

### SYMBOLIC_VERTICAL_TAB_CHAR

    static final int SYMBOLIC_VERTICAL_TAB_CHAR

See Also:
  Constant Field Values

### SYMBOLIC_CARRIAGE_RETURN_CHAR

    static final int SYMBOLIC_CARRIAGE_RETURN_CHAR

See Also:
  Constant Field Values

### SYMBOLIC_HEXADECIMAL_CHAR

    static final int SYMBOLIC_HEXADECIMAL_CHAR

See Also:
  Constant Field Values

### OCTAL_ESCAPE_SEQUENCE

    static final int OCTAL_ESCAPE_SEQUENCE

See Also:
  Constant Field Values

### HEXADECIMAL_ESCAPE_SEQUENCE

    static final int HEXADECIMAL_ESCAPE_SEQUENCE

See Also:
  Constant Field Values

### VARIABLE_TOKEN

    static final int VARIABLE_TOKEN

See Also:
  Constant Field Values

### ANONYMOUS_VARIABLE

    static final int ANONYMOUS_VARIABLE

See Also:
  Constant Field Values

### NAMED_VARIABLE

    static final int NAMED_VARIABLE

See Also:
  Constant Field Values

### VARIABLE_INDICATOR_CHAR

    static final int VARIABLE_INDICATOR_CHAR

See Also:
  Constant Field Values

### INTEGER_TOKEN

    static final int INTEGER_TOKEN

See Also:
  Constant Field Values

### INTEGER_CONSTANT

    static final int INTEGER_CONSTANT

See Also:
  Constant Field Values

### CHARACTER_CODE_CONSTANT

    static final int CHARACTER_CODE_CONSTANT

See Also:
  Constant Field Values

### BINARY_CONSTANT

    static final int BINARY_CONSTANT

See Also:
  Constant Field Values

### OCTAL_CONSTANT

    static final int OCTAL_CONSTANT

See Also:
  Constant Field Values

### HEXADECIMAL_CONSTANT

    static final int HEXADECIMAL_CONSTANT

See Also:
  Constant Field Values

### FLOAT_NUMBER_TOKEN

    static final int FLOAT_NUMBER_TOKEN

See Also:
  Constant Field Values

### FRACTION

    static final int FRACTION

See Also:
  Constant Field Values

### EXPONENT

    static final int EXPONENT

See Also:
  Constant Field Values

### CHAR_CODE_LIST_TOKEN

    static final int CHAR_CODE_LIST_TOKEN

See Also:
  Constant Field Values

### DOUBLE_QUOTED_ITEM

    static final int DOUBLE_QUOTED_ITEM

See Also:
  Constant Field Values

### BACK_QUOTED_STRING

    static final int BACK_QUOTED_STRING

See Also:
  Constant Field Values

### BACK_QUOTED_ITEM

    static final int BACK_QUOTED_ITEM

See Also:
  Constant Field Values

### OPEN_TOKEN

    static final int OPEN_TOKEN

See Also:
  Constant Field Values

### CLOSE_TOKEN

    static final int CLOSE_TOKEN

See Also:
  Constant Field Values

### OPEN_LIST_TOKEN

    static final int OPEN_LIST_TOKEN

See Also:
  Constant Field Values

### CLOSE_LIST_TOKEN

    static final int CLOSE_LIST_TOKEN

See Also:
  Constant Field Values

### OPEN_CURLY_TOKEN

    static final int OPEN_CURLY_TOKEN

See Also:
  Constant Field Values

### CLOSE_CURLY_TOKEN

    static final int CLOSE_CURLY_TOKEN

See Also:
  Constant Field Values

### HEAD_TAIL_SEPARATOR_TOKEN

    static final int HEAD_TAIL_SEPARATOR_TOKEN

See Also:
  Constant Field Values

### COMMA_TOKEN

    static final int COMMA_TOKEN

See Also:
  Constant Field Values

### END_TOKEN

    static final int END_TOKEN

See Also:
  Constant Field Values

### END_CHAR

    static final int END_CHAR

See Also:
  Constant Field Values

### CHARARCTER

    static final int CHARARCTER

See Also:
  Constant Field Values

### GRAPHIC_CHAR

    static final int GRAPHIC_CHAR

See Also:
  Constant Field Values

### GRAPHIC_CHAR_PERIOD

    static final int GRAPHIC_CHAR_PERIOD

See Also:
  Constant Field Values

### ALPHA_NUMERIC_CHAR

    static final int ALPHA_NUMERIC_CHAR

See Also:
  Constant Field Values

### ALPHA_CHAR

    static final int ALPHA_CHAR

See Also:
  Constant Field Values

### LETTER_CHAR

    static final int LETTER_CHAR

See Also:
  Constant Field Values

### CAPITAL_LETTER_CHAR

    static final int CAPITAL_LETTER_CHAR

See Also:
  Constant Field Values

### SMALL_LETTER_CHAR

    static final int SMALL_LETTER_CHAR

See Also:
  Constant Field Values

### DECIMAL_DIGIT_CHAR

    static final int DECIMAL_DIGIT_CHAR

See Also:
  Constant Field Values

### BINARY_DIGIT_CHAR

    static final int BINARY_DIGIT_CHAR

See Also:
  Constant Field Values

### OCTAL_DIGIT_CHAR

    static final int OCTAL_DIGIT_CHAR

See Also:
  Constant Field Values

### HEXADECIMAL_DIGIT_CHAR

    static final int HEXADECIMAL_DIGIT_CHAR

See Also:
  Constant Field Values

### UNDERSCORE_CHAR

    static final int UNDERSCORE_CHAR

See Also:
  Constant Field Values

### SOLO_CHAR

    static final int SOLO_CHAR

See Also:
  Constant Field Values

### CUT_CHAR

    static final int CUT_CHAR

See Also:
  Constant Field Values

### OPEN_CHAR

    static final int OPEN_CHAR

See Also:
  Constant Field Values

### CLOSE_CHAR

    static final int CLOSE_CHAR

See Also:
  Constant Field Values

### COMMA_CHAR

    static final int COMMA_CHAR

See Also:
  Constant Field Values

### SEMICOLON_CHAR

    static final int SEMICOLON_CHAR

See Also:
  Constant Field Values

### OPEN_LIST_CHAR

    static final int OPEN_LIST_CHAR

See Also:
  Constant Field Values

### CLOSE_LIST_CHAR

    static final int CLOSE_LIST_CHAR

See Also:
  Constant Field Values

### OPEN_CURLY_CHAR

    static final int OPEN_CURLY_CHAR

See Also:
  Constant Field Values

### CLOSE_CURLY_CHAR

    static final int CLOSE_CURLY_CHAR

See Also:
  Constant Field Values

### HEAD_TAIL_SEPARATOR_CHAR

    static final int HEAD_TAIL_SEPARATOR_CHAR

See Also:
  Constant Field Values

### END_LINE_COMMENT_CHAR

    static final int END_LINE_COMMENT_CHAR

See Also:
  Constant Field Values

### LAYOUT_CHAR

    static final int LAYOUT_CHAR

See Also:
  Constant Field Values

### SPACE_CHAR

    static final int SPACE_CHAR

See Also:
  Constant Field Values

### NEW_LINE_CHAR

    static final int NEW_LINE_CHAR

See Also:
  Constant Field Values

### META_CHAR

    static final int META_CHAR

See Also:
  Constant Field Values

### BACKSLASH_CHAR

    static final int BACKSLASH_CHAR

See Also:
  Constant Field Values

### SINGLE_QUOTE_CHAR

    static final int SINGLE_QUOTE_CHAR

See Also:
  Constant Field Values

### DOUBLE_QUOTE_CHAR

    static final int DOUBLE_QUOTE_CHAR

See Also:
  Constant Field Values

### BACK_QUOTE_CHAR

    static final int BACK_QUOTE_CHAR

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    static final String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD